# Get all Zero-Day Events

Returns a list of all Zero-Day Events with optional date filters.

Endpoint: GET /api/v3.0/orgs/{orgUuid}/dependencies/events/zeroday
Version: 3.0
Security: bearer-key

## Security:

  - `bearer-key` (unknown)
    http bearer JWT

## Path parameters:

  - `orgUuid` (string, required)
    org UUID (from the Mend App: **Administration** General > **Organization UUID**).

## Query parameters:

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

  - `fromDate` (string)
    Filter by creation date from (inclusive)

  - `toDate` (string)
    Filter by creation date to (inclusive)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `additionalData` (object)
    + **totalItems**: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: 1171c60d

  - `response` (array)

  - `response.uuid` (string)
    UUID for external integrations
    Example: 550e8400-e29b-41d4-a716-446655440000

  - `response.name` (string)
    Event name
    Example: Log4Shell

  - `response.description` (string)
    Event description

  - `response.publishedAt` (string)
    Publish date

  - `response.updatedAt` (string)
    Updated date

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

